package ovh.herisson.Clyde.EndPoints;


import org.springframework.http.HttpStatus;
import org.springframework.http.HttpStatusCode;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import ovh.herisson.Clyde.Repositories.UserRepository;
import ovh.herisson.Clyde.Tables.User;


@RestController
@CrossOrigin(origins = "http://localhost:5173")
public class UserController {

    private final UserRepository userRepo;

    public UserController(UserRepository userRepo){
        this.userRepo = userRepo;
    }

    @GetMapping("/user")
    public ResponseEntity<User> getUsers(@RequestHeader("Authorization") String token){
        //TODO
        // Get the token thru the data base
        // tokenRepo.findToken(token) => User userFromToken
        // si role != secretary => return error : ResponseEntity<User>(null, HttpStatus.UNAUTHORIZED)
        return new ResponseEntity<User>(/**userRepo.findById(userFromToken.id),**/ HttpStatus.OK);
    }

    @PostMapping("/user")
    public ResponseEntity<String> postUser(@RequestBody User user){
        userRepo.save(user);
        return new ResponseEntity<String>(String.format("Account created with ID:%s",user.getRegNo()),HttpStatus.CREATED);
    }

    @GetMapping("/users")
    public Iterable<User> getAllUsers(){//TODO ne l'accepter que si c'est le secrétariat
        return userRepo.findAll();
    }


}

